#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include <inttypes.h>
#include <math.h>

#include <arpa/inet.h>


int 
main( int argc, char **argv )
{

   srand(3);
   int iterations = 1000;
   FILE *out_put_log = fopen("c_output_log.csv","w");
   FILE *fp = popen("java -cp . StreamTest","w");
   if(fp == NULL)
   {
      fprintf(stderr,"null file pointer\n");
      exit( EXIT_FAILURE );
   }
   const uint64_t size = sizeof(uint32_t);
   
   while(iterations > 0)
   {
      uint32_t a = (uint32_t) rand();
      uint32_t b = (uint32_t) rand();
      fprintf( out_put_log, "%"PRIu32",%"PRIu32"\n", a, b );
      a = htonl( a );
      b = htonl( b );
      if( fwrite( &a, size, 1, fp) != 1 )
      {
         perror( "Failed to write \"a\"" );
         exit( EXIT_FAILURE );
      }
      if( fwrite( &b, size, 1, fp) != 1 )
      {
         perror( "Failed to write \"b\"" );
         exit( EXIT_FAILURE );
      }
      iterations--;
   }
   fflush(fp);
   fflush(out_put_log);
   fclose(fp);
   fclose(out_put_log);
   return( EXIT_SUCCESS );
}
